program mricrogl;

{$mode objfpc}{$H+}
{$include options.inc}
uses

  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms, LResources{ you can add units after this },
  {$IFDEF ENABLESCRIPT}
  scriptengine,messageu,
{$ENDIF}
{$IFDEF ENABLEOVERLAY}overlay, {$ENDIF}
 {$IFDEF ENABLEABOUT}    about,{$ENDIF}
  {$IFDEF ENABLEMOSAIC}mosaicprefs,{$ENDIF}
  {$IFDEF ENABLECOLORBAR}colorbar,{$ENDIF}
  {$IFDEF ENABLECLUT}clutprefs,{$ENDIF}
  {$IFDEF ENABLEPREF}uprefsform, {$ENDIF}
  {$IFDEF ENABLECLIP}clipu, {$ENDIF}
  {$IFDEF ENABLECUTOUT}cutoutu, {$ENDIF}
  {$IFDEF ENABLEEDGE}edgeenhanceu, {$ENDIF}
  mainunit, clut, pascalscript, readint;

{$IFDEF WINDOWS}{$R mricrogl.rc}{$ENDIF}

begin
  {$I mricrogl.lrs}
  Application.Initialize;
  Application.CreateForm(TGLForm1, GLForm1);
  Application.CreateForm(TReadIntForm, ReadIntForm);
{$IFDEF ENABLEPREF} Application.CreateForm(TPrefsForm , PrefsForm);{$ENDIF}

{$IFDEF ENABLEABOUT} Application.CreateForm(TAboutForm, AboutForm);{$ENDIF}
 {$IFDEF ENABLECUTOUT}Application.CreateForm(TCutoutForm, CutoutForm);{$ENDIF}
{$IFDEF ENABLECLIP}Application.CreateForm(TClipForm, ClipForm);{$ENDIF}
{$IFDEF ENABLESCRIPT}
  Application.CreateForm(TScriptForm, ScriptForm);
  Application.CreateForm(Tmessageform, messageform);
{$ENDIF}
{$IFDEF ENABLEOVERLAY}Application.CreateForm(TOverlayForm, OverlayForm);{$ENDIF}
{$IFDEF ENABLEMOSAIC}Application.CreateForm(TMosaicPrefsForm, MosaicPrefsForm);{$ENDIF}
{$IFDEF ENABLECOLORBAR}Application.CreateForm(TColorbarForm, ColorbarForm);{$ENDIF}
{$IFDEF ENABLECLUT}Application.CreateForm(TCLUTForm, CLUTForm);{$ENDIF}
{$IFDEF ENABLEEDGE}Application.CreateForm(TEdgeForm, EdgeForm);{$ENDIF}
  
  Application.Run;
end.

